Get Public Key Extended
Returns the public key to be used for verifying the idp generated tokens signature.
Request
URI
GET
https://{api_host}//cava-s-182-041.eng.vmware.com/csp/gateway/am/api/auth/token-public-key
COPY
Query Parameters
string
format
Optional
The public key format.
Possible values are :
jwks,
pem,
Responses
200
OK
Returns
PublicKeyResponse
of type(s)
*/*
{
"alg": "string",
"issuer": "string",
"keys": [
{}
],
"value": "string"
}
string
alg
Optional
The algorithm associated with the public key.
string
issuer
Optional
The issuer for the public key.
array of
Map_string_object_
keys
Optional
The list of the currently valid public keys. Set in the case of jwks format. The model of this property is a Map of JsonWebKey objects.
string
value
Optional
The public key. Set in the case of pem format.
Authentication Controller Operations
POST
Get Access Token With Authorization Request
POST
Get Access Token With Refresh Token
GET
Get Public Key Extended
POST
Logout Using POST